## ust 2.6.2

=== debian/changelog ===
ust (2.6.2-2) unstable; urgency=medium

  [ Michael Jeanson ]
  * [f1bd937] Default to no unaligned access on unsupported archs
  * [9663c9a] Add java subpackages
  * [a23d3b8] Use python3 for lttng-gen-tp (Closes: #789790)

 -- Jon Bernard <jbernard@debian.org>  Thu, 02 Jul 2015 19:10:06 +0000

ust (2.6.2-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [55c5de5] Enable build on aarch64
  * [35afe9f] Build on all supported architectures
  * [1eae5b2] New upstream version 2.6.2
  * [e4ed593] aarch64 support was merged upstream in 2.6.2
  * [825bfda] Drop systemtap integration

 -- Jon Bernard <jbernard@debian.org>  Thu, 18 Jun 2015 21:06:30 +0000

ust (2.6.1-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [34a39b5] New upstream version 2.6.1
  * [e750d6c] Update symbols files

  [ Jon Bernard ]

 -- Jon Bernard <jbernard@debian.org>  Fri, 29 May 2015 18:22:01 +0000

ust (2.5.1-2) unstable; urgency=medium

  * [65a639d] Tag arch-specfic symbols for i386 and amd64 (Closes: #767632)

 -- Jon Bernard <jbernard@debian.org>  Tue, 04 Nov 2014 19:44:13 +0000

=== debian/control ===
Source: ust
Priority: extra
Maintainer: Jon Bernard <jbernard@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
  uuid-dev, texinfo, python3:any, dh-python, javahelper, default-jdk,
  liblog4j1.2-java
Standards-Version: 3.9.6
Section: libs
Vcs-Git: git://anonscm.debian.org/collab-maint/ust.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
Homepage: http://lttng.org/

Package: liblttng-ust0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  liblttng-ust-ctl2 (= ${binary:Version})
Conflicts: liblttng-ust2
Replaces: liblttng-ust2
Description: LTTng 2.0 Userspace Tracer (tracing libraries)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the actual userspace tracing library that must be linked
 to the instrumented programs.

Package: liblttng-ust-ctl2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: liblttng-ust2
Replaces: liblttng-ust2
Description: LTTng 2.0 Userspace Tracer (trace control library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains a library to control tracing in other processes. Used by
 lttng-tools.

Package: liblttng-ust-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
  liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl2 (= ${binary:Version}),
  liburcu-dev (>= 0.8.4), uuid-dev
Recommends: python3
Conflicts: liblttng-ust2
Replaces: liblttng-ust2
Breaks: liblttng-ust0 (<< 2.3.0)
Description: LTTng 2.0 Userspace Tracer (development files)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST library development files necessary to compile
 and link applications against liblttng-ust.

Package: liblttng-ust-java
Section: java
Architecture: all
Multi-Arch: foreign
Depends: liblttng-ust-java-jni (<< ${source:Version}.1~),
         liblttng-ust-java-jni (>= ${source:Version}),
         ${java:Depends}, ${misc:Depends}
Description: LTTng 2.0 Userspace Tracer (Java support library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package ships the Java side of the JNI interface, as a .jar that can be
 imported directly in Java applications.

Package: liblttng-ust-java-jni
Section: java
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: liblttng-ust-java (= ${source:Version})
Description: LTTng 2.0 Userspace Tracer (JNI interface)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the native side of the JNI interface for lttng-ust.

Package: liblttng-ust-agent-java
Section: java
Architecture: all
Multi-Arch: foreign
Depends: liblttng-ust-agent-java-jni (<< ${source:Version}.1~),
         liblttng-ust-agent-java-jni (>= ${source:Version}),
         ${java:Depends}, ${misc:Depends}
Description: LTTng 2.0 Userspace Tracer (Java agent library)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package ships the Java agent with JUL and log4j support, as a .jar that
 can be imported directly in Java applications.

Package: liblttng-ust-agent-java-jni
Section: java
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: liblttng-ust-java (= ${source:Version})
Description: LTTng 2.0 Userspace Tracer (Java agent JNI interface)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the native side of the Java agent for lttng-ust.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JAVA_HOME = /usr/lib/jvm/default-java
export CLASSPATH = /usr/share/java/log4j-1.2.jar

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# The option below causes the shared objects to contain a TEXTREL section,
# triggering a non-PIC lintian error.
#export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@ --with autoreconf,javahelper

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-jni-interface \
		--enable-java-agent-all \
		--with-java-prefix=$(JAVA_HOME)

override_dh_makeshlibs:
	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/jni

override_jh_manifest:
	jh_manifest -pliblttng-ust-agent-java

## ust 2.7.1

=== doc/examples/clock-override/Makefile ===
# Copyright (C) 2013  Jérémie Galarneau <jeremie.galarneau@efficios.com>
# Copyright (C) 2014  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose, provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

ifdef AM_CC
	CC = $(AM_CC)
endif

LIBS = -ldl	# On Linux
#LIBS = -lc	# On BSD
LOCAL_CPPFLAGS += -I.

all: lttng-ust-clock-override-example.so

lttng-ust-clock-override-example.o: lttng-ust-clock-override-example.c
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -fpic -c -o $@ $<

lttng-ust-clock-override-example.so: lttng-ust-clock-override-example.o
	$(CC) -shared -Wl,--no-as-needed -o $@ $(LDFLAGS) $(CFLAGS) \
		$(AM_LDFLAGS) $(AM_CFLAGS) lttng-ust-clock-override-example.o

.PHONY: clean
clean:
	rm -f *.o *.so

=== doc/examples/demo-tracef/Makefile ===
# Copyright (C) 2013  Jérémie Galarneau <jeremie.galarneau@efficios.com>
# Copyright (C) 2014  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose, provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

ifdef AM_CC
	CC = $(AM_CC)
endif

LIBS = -ldl -llttng-ust	# On Linux
#LIBS = -lc	# On BSD
LOCAL_CPPFLAGS += -I.

all: demo-tracef

demo-tracef.o: demo-tracef.c
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -c -o $@ $<

demo-tracef: demo-tracef.o
	$(CC) $(LDFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(AM_CFLAGS) \
		-o $@ $< $(LIBS)

.PHONY: clean
clean:
	rm -f *.o *.a demo-tracef

=== doc/examples/demo-tracelog/Makefile ===
# Copyright (C) 2013  Jérémie Galarneau <jeremie.galarneau@efficios.com>
# Copyright (C) 2014  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose, provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

ifdef AM_CC
	CC = $(AM_CC)
endif

LIBS = -ldl -llttng-ust	# On Linux
#LIBS = -lc	# On BSD
LOCAL_CPPFLAGS += -I.

all: demo-tracelog

demo-tracelog.o: demo-tracelog.c
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -c -o $@ $<

demo-tracelog: demo-tracelog.o
	$(CC) $(LDFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(AM_CFLAGS) \
		-o $@ $< $(LIBS)

.PHONY: clean
clean:
	rm -f *.o *.a demo-tracelog

=== doc/examples/demo/Makefile ===
# Copyright (C) 2013  Jérémie Galarneau <jeremie.galarneau@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose, provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

ifdef AM_CC
	CC = $(AM_CC)
endif

LIBS = -ldl	# On Linux
#LIBS = -lc	# On BSD
LOCAL_CPPFLAGS += -I.

all: demo lttng-ust-provider-ust-tests-demo.so lttng-ust-provider-ust-tests-demo3.so

tp.o: tp.c ust_tests_demo.h
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -fpic -c -o $@ $<

tp2.o: tp2.c ust_tests_demo2.h
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -fpic -c -o $@ $<

lttng-ust-provider-ust-tests-demo.so: tp.o tp2.o
	$(CC) -shared -Wl,--no-as-needed -o $@ $(LDFLAGS) $(CFLAGS) \
		$(AM_LDFLAGS) $(AM_CFLAGS) -llttng-ust tp.o tp2.o

tp3.o: tp3.c ust_tests_demo3.h
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -fpic -c -o $@ $<

lttng-ust-provider-ust-tests-demo3.so: tp3.o
	$(CC) -shared -Wl,--no-as-needed -o $@ $(LDFLAGS) $(CFLAGS) \
		$(AM_LDFLAGS) $(AM_CFLAGS) -llttng-ust tp3.o

demo.o: demo.c
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -c -o $@ $<

demo: demo.o
	$(CC) $(LDFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(AM_CFLAGS) \
		-o $@ demo.o $(LIBS)

.PHONY: clean
clean:
	rm -f *.o *.so demo

=== doc/examples/gen-tp/Makefile ===
# Copyright (C) 2011-2012  Matthew Khouzam <matthew.khouzam@ericsson.com>
# Copyright (C) 2012  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
# Copyright (C) 2012  Yannick Brosseau <yannick.brosseau@gmail.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose,  provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This makefile is not using automake so that people can see how to make
# simply. It builds a program with a statically embedded tracepoint
# provider probe.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

ifdef AM_CC
	CC = $(AM_CC)
endif

LIBS = -ldl -llttng-ust		#On Linux
#LIBS = -lc -llttng-ust		#On BSD

all: sample

sample: sample.o sample_tracepoint.o
	$(CC) $(LDFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(AM_CFLAGS) \
		-o $@ sample.o sample_tracepoint.o $(LIBS)

sample.o: sample.c sample_tracepoint.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) $(AM_CFLAGS) \
		-c -o $@ $<

# Use this command to compile the .c manually
#sample_tracepoint.o: sample_tracepoint.c sample_tracepoint.h
#	$(CC) $(CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) $(AM_CFLAGS) \
#		-I. -c -o $@ $<

# This rule generate .o only and depends on rules for generating
# the .h and .c
%.o: %.tp %.c %.h
	CPPFLAGS="$(CPPFLAGS) $(AM_CPPFLAGS)" \
	CFLAGS="$(CFLAGS) $(AM_CFLAGS)" \
	LDFLAGS="$(LDFLAGS) $(AM_LDFLAGS)" \
	CC="$(CC)" \
	$(LTTNG_GEN_TP_PATH)lttng-gen-tp -o $@ $<

# The following rule can be used to generate all files instead of having one
# for each file type. Note that the sample.o has a dependency on the
# .h, so you need to change that if you remove the %.h rule.
#%.o: %.tp
#	lttng-gen-tp $<

%.h: %.tp
	$(LTTNG_GEN_TP_PATH)lttng-gen-tp -o $@ $<

%.c: %.tp
	$(LTTNG_GEN_TP_PATH)lttng-gen-tp -o $@ $<

.PHONY: clean
clean:
	rm -f *.o sample
	rm -f sample_tracepoint.h sample_tracepoint.c

=== doc/examples/getcpu-override/Makefile ===
# Copyright (C) 2013  Jérémie Galarneau <jeremie.galarneau@efficios.com>
# Copyright (C) 2014  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose, provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build
# a program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.

ifdef AM_CC
	CC = $(AM_CC)
endif

LIBS = -ldl	# On Linux
#LIBS = -lc	# On BSD
LOCAL_CPPFLAGS += -I.

all: lttng-ust-getcpu-override-example.so

lttng-ust-getcpu-override-example.o: lttng-ust-getcpu-override-example.c
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -fpic -c -o $@ $<

lttng-ust-getcpu-override-example.so: lttng-ust-getcpu-override-example.o
	$(CC) -shared -Wl,--no-as-needed -o $@ $(LDFLAGS) $(CFLAGS) \
		$(AM_LDFLAGS) $(AM_CFLAGS) lttng-ust-getcpu-override-example.o

.PHONY: clean
clean:
	rm -f *.o *.so

=== doc/examples/java-jul/Makefile ===
# 
# Copyright (C) 2013 - David Goulet <dgoulet@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED OR
# IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any purpose,
# provided the above notices are retained on all copies.  Permission to modify
# the code and to distribute modified code is granted, provided the above
# notices are retained, and a notice that the code was modified is included
# with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build a
# program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.
#

# Default JUL jar name.
JARFILE=liblttng-ust-agent.jar

# Check if the top level makefile overrides the JUL Jar file name.
ifneq "$(JAVA_JARFILE_OVERRIDE)" ""
	JARFILE=$(JAVA_JARFILE_OVERRIDE)
endif

# Check if the top level makefile overrides the JUL classpath.
ifeq "$(JAVA_CLASSPATH_OVERRIDE)" ""
	CLASSPATH=/usr/local/share/java/$(JARFILE):/usr/share/java/$(JARFILE)
else
	CLASSPATH=$(JAVA_CLASSPATH_OVERRIDE)/$(JARFILE)
endif

JFLAGS = -g
JC = javac -classpath "$(CLASSPATH):."
.SUFFIXES: .java .class
.java.class:
	$(JC) $(JFLAGS) $*.java

CLASSES = Hello.java

all: classes

classes: $(CLASSES:.java=.class)

.PHONY: clean
clean:
	$(RM) *.class

=== doc/examples/java-log4j/Makefile ===
#
# Copyright (C) 2014 - Christian Babeux <christian.babeux@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED OR
# IMPLIED. ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any purpose,
# provided the above notices are retained on all copies.  Permission to modify
# the code and to distribute modified code is granted, provided the above
# notices are retained, and a notice that the code was modified is included
# with the above copyright notice.
#
# This Makefile is not using automake so that users may see how to build a
# program with tracepoint provider probes as stand-alone shared objects.
#
# This makefile is purposefully kept simple to support GNU and BSD make.
#

JFLAGS = -g

# Default JUL jar name.
JARFILE=liblttng-ust-agent.jar

# If system classpath is empty, try to guess log4j location
ifeq "$(CLASSPATH)" ""
	CLASSPATH="/usr/local/share/java/log4j.jar:/usr/share/java/log4j.jar"
endif

# Check if the top level makefile overrides the JUL Jar file name.
ifneq "$(JAVA_JARFILE_OVERRIDE)" ""
	JARFILE=$(JAVA_JARFILE_OVERRIDE)
endif

# Check if the top level makefile overrides the JUL classpath.
ifeq "$(JAVA_CLASSPATH_OVERRIDE)" ""
	CLASSPATH:=/usr/local/share/java/$(JARFILE):/usr/share/java/$(JARFILE):$(CLASSPATH)
else
	CLASSPATH:=$(JAVA_CLASSPATH_OVERRIDE)/$(JARFILE):$(CLASSPATH)
endif

JC = javac -classpath "$(CLASSPATH):."
.SUFFIXES: .java .class
.java.class:
	$(JC) $(JFLAGS) $*.java

CLASSES = Hello.java

all: classes

classes: $(CLASSES:.java=.class)

.PHONY: clean
clean:
	$(RM) *.class

=== debian/changelog ===
ust (2.7.1-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [d0d44d7] New upstream version 2.7.1
  * [a596e16] Drop upstreamed patch fix-python-agent-build
  * [f3d43ad] Fix java build on gcj

 -- Jon Bernard <jbernard@debian.org>  Tue, 01 Dec 2015 19:58:42 +0000

ust (2.7.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [fe82554] New upstream version 2.7.0
  * [96d01f4] Drop patch applied upstream
  * [a37cd0d] Add python agent subpackages
  * [c285433] Update symbols file
  * [1c48d56] Build on linux-any architectures
  * [afbbd1e] The dev package depends on the python agent lib

 -- Jon Bernard <jbernard@debian.org>  Sat, 24 Oct 2015 19:23:03 +0000

ust (2.6.3-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [fd874dc] New upstream version 2.6.3
  * [a0a6282] Refresh fix-incompatible-java-bytecode-format.patch

 -- Jon Bernard <jbernard@debian.org>  Thu, 10 Sep 2015 20:17:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
   uuid-dev, texinfo, python3:any, dh-python, javahelper, default-jdk,
-  liblog4j1.2-java
+  liblog4j1.2-java, python3-all-dev
 Standards-Version: 3.9.6
 Section: libs
 Vcs-Git: git://anonscm.debian.org/collab-maint/ust.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
 Homepage: http://lttng.org/
+X-Python3-Version: >= 3.0
 
 Package: liblttng-ust0
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -28,7 +29,7 @@
  to the instrumented programs.
 
 Package: liblttng-ust-ctl2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -45,11 +46,12 @@
 
 Package: liblttng-ust-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
   liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl2 (= ${binary:Version}),
-  liburcu-dev (>= 0.8.4), uuid-dev
+  liblttng-ust-python-agent0 (= ${binary:Version}), liburcu-dev (>= 0.8.4),
+  uuid-dev
 Recommends: python3
 Conflicts: liblttng-ust2
 Replaces: liblttng-ust2
@@ -81,7 +83,7 @@
 
 Package: liblttng-ust-java-jni
 Section: java
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -112,7 +114,7 @@
 
 Package: liblttng-ust-agent-java-jni
 Section: java
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -124,3 +126,32 @@
  be added in any userspace code including signal handlers and libraries.
  .
  This package contains the native side of the Java agent for lttng-ust.
+
+Package: liblttng-ust-python-agent0
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+  liblttng-ust0 (= ${binary:Version})
+Description: LTTng 2.0 Userspace Tracer (Python agent native library)
+ The userspace tracer is designed to provide detailed information about
+ userspace activity. Like the kernel tracer, performance is the main goal.
+ Tracing does not require system calls or traps. UST instrumentation points may
+ be added in any userspace code including signal handlers and libraries.
+ .
+ This package contains a library used by the Python agents.
+
+Package: python3-lttngust
+Section: python
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${python3:Depends},
+  liblttng-ust-python-agent0 (>= ${source:Version}),
+  liblttng-ust-python-agent0 (<< ${source:Version}.1~)
+Description: LTTng 2.0 Userspace Tracer (Python 3 UST agent)
+ The userspace tracer is designed to provide detailed information about
+ userspace activity. Like the kernel tracer, performance is the main goal.
+ Tracing does not require system calls or traps. UST instrumentation points may
+ be added in any userspace code including signal handlers and libraries.
+ .
+ This package contains the Python 3.x UST agent.

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,12 @@
 #export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 %:
-	dh $@ --with autoreconf,javahelper
+	dh $@ --with autoreconf,javahelper,python3
 
 override_dh_auto_configure:
+	PYTHON=python3 \
 	dh_auto_configure -- \
+		--enable-python-agent \
 		--enable-jni-interface \
 		--enable-java-agent-all \
 		--with-java-prefix=$(JAVA_HOME)

=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc\d|pre\d)/~$1/ \
    http://lttng.org/files/lttng-ust/lttng-ust-(.*)\.tar\.(?:gz|bz2)

## ust 2.7.2

=== debian/changelog ===
ust (2.7.2-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [b53d4b6] Add pgpsigurlmangle to watch file
  * [bebae33] New upstream version 2.7.2
  * [0dc0248] Update vcs fields to use secure uri
  * [4812e35] Bump standards version to 3.9.7, no changes necessary
  * [5f48885] Build-depend on default-jdk-headless

 -- Jon Bernard <jbernard@debian.org>  Sat, 12 Mar 2016 06:48:40 -0500

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
-  uuid-dev, texinfo, python3:any, dh-python, javahelper, default-jdk,
+  uuid-dev, texinfo, python3:any, dh-python, javahelper,
+  default-jdk | default-jdk-headless,
   liblog4j1.2-java, python3-all-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
-Vcs-Git: git://anonscm.debian.org/collab-maint/ust.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
-Homepage: http://lttng.org/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ust.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
+Homepage: https://lttng.org/
 X-Python3-Version: >= 3.0
 
 Package: liblttng-ust0

=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc\d|pre\d)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://lttng.org/files/lttng-ust/lttng-ust-(.*)\.tar\.(?:gz|bz2)

## ust 2.8.1

=== debian/changelog ===
ust (2.8.1-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [b2b7411] Fix watch file
  * [ed5244f] New upstream version 2.8.1
  * [18ca9be] Add comments to patches

 -- Jon Bernard <jbernard@debian.org>  Thu, 16 Jun 2016 17:20:00 +0000

ust (2.8.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [f4dc524] New upstream version 2.8.0
  * [4cc3ed0] Update java agent files for 2.8.0
  * [4731103] Update symbols for 2.8.0
  * [8f462e0] Refreshed patches for 2.8.0
  * [46d005b] Bump standards version to 3.9.8, no changes necessary
  * [2399a6e] Updated debian copyright

 -- Jon Bernard <jbernard@debian.org>  Tue, 24 May 2016 21:42:37 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
   uuid-dev, texinfo, python3:any, dh-python, javahelper,
   default-jdk | default-jdk-headless,
   liblog4j1.2-java, python3-all-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: libs
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ust.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary

## ust 2.9.0

=== doc/examples/easy-ust/Makefile ===
# Copyright (C) 2011-2012  Matthew Khouzam <matthew.khouzam@ericsson.com> 
# Copyright (C) 2012  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose,  provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.
#
# This makefile is not using automake so that users can see how to build
# a program with a statically embedded tracepoint provider probe.
# the "html" target helps for documentation (req. code2html)
#
# This makefile is purposefully kept simple to support GNU and BSD make.

ifdef AM_CC
	CC = $(AM_CC)
endif

LIBS = -ldl -llttng-ust		# On Linux
#LIBS = -lc -llttng-ust		# On BSD
LOCAL_CPPFLAGS += -I.

all: sample

sample: sample.o tp.o
	$(CC) -o $@ $(LDFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(AM_CFLAGS) \
		sample.o tp.o $(LIBS)

sample.o: sample.c sample_component_provider.h
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -c -o $@ $<

tp.o: tp.c sample_component_provider.h
	$(CC) $(CPPFLAGS) $(LOCAL_CPPFLAGS) $(CFLAGS) $(AM_CPPFLAGS) \
		$(AM_CFLAGS) -c -o $@ $<

html: sample_component_provider.html sample.html tp.html

%.html: %.c
	code2html -lc $< $@

%.html : %.h
	code2html -lc $< $@

.PHONY: clean
clean:
	rm -f *.html
	rm -f *.o sample

=== debian/changelog ===
ust (2.9.0-2+deb9u1) stable; urgency=medium

  * [5ffa17d] Set gbp branch config
  * [8e770e4] Fix python3-lttngust load un-versioned library (Closes: #882366)

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 22 Nov 2017 14:45:44 -0500

ust (2.9.0-2) unstable; urgency=medium

  * [b8d4e77] Add missing liblttng-ust-fd.so.* (Closes: #857166)

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 08 Mar 2017 12:04:25 -0500

ust (2.9.0-1) unstable; urgency=medium

  * [35684de] Add Michael Jeanson as uploader
  * [8aecff4] New upstream version 2.9.0
  * [3164b44] Refreshed patches for 2.9.0
  * [0015ce7] Update symbols for 2.9.0

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 29 Nov 2016 18:07:41 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ust
 Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
+Uploaders: Michael Jeanson <mjeanson@ubuntu.com>
 Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
   uuid-dev, texinfo, python3:any, dh-python, javahelper,
   default-jdk | default-jdk-headless,

=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc\d|pre\d)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://lttng.org/files/lttng-ust/lttng-ust-(\d.*)\.tar\.(?:gz|bz2)

## ust 2.9.1

=== debian/changelog ===
ust (2.9.1-1build2) artful; urgency=medium

  * Rebuild against new liburcu6.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2017 10:48:03 +0200

ust (2.9.1-1build1) artful; urgency=medium

  * No-change rebuild against latest liburcu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 15 Jul 2017 09:45:45 -0400

ust (2.9.1-1) unstable; urgency=medium

  * [dfb524d] Do not consider rc versions in watch file
  * [c14b0be] New upstream version 2.9.1
  * [18e7752] Refreshed patches for 2.9.1
  * [40eaada] Remove python3 -dev build-depends (Closes: #866535)
  * [b575fa7] Update symbols for 2.9.1
  * [be69e6c] Enable hardening flags
  * [3ff18c8] Bump standards version to 4.0.0

 -- Michael Jeanson <mjeanson@ubuntu.com>  Fri, 30 Jun 2017 15:01:07 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@ubuntu.com>
 Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
-  uuid-dev, texinfo, python3:any, dh-python, javahelper,
-  default-jdk | default-jdk-headless,
-  liblog4j1.2-java, python3-all-dev
-Standards-Version: 3.9.8
+  uuid-dev, texinfo, python3, dh-python, javahelper,
+  default-jdk | default-jdk-headless, liblog4j1.2-java
+Standards-Version: 4.0.0
 Section: libs
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ust.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,7 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-# The option below causes the shared objects to contain a TEXTREL section,
-# triggering a non-PIC lintian error.
-#export DEB_BUILD_MAINT_OPTIONS := hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with autoreconf,javahelper,python3

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    http://lttng.org/files/lttng-ust/lttng-ust-([\d\.]*)\.tar\.(?:gz|bz2)

## ust 2.10.0

=== debian/changelog ===
ust (2.10.0-3) unstable; urgency=medium

  * [68cef23] Add perf symbols to all archs
  * [af1103b] Forgot m68k symbols in liblttng-ust-ctl4
  * [7960048] Change priority to optional, as per policy
  * [d5b199b] Bump standards version to 4.1.1
  * [38c2762] Use https url in watch file

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 18 Oct 2017 11:22:14 -0400

ust (2.10.0-2) unstable; urgency=medium

  * [4e2e3ec] Add a 'nojava' build profile
  * [b60dc6d] Update symbols for m68k arch (Closes: #876149)
  * [0432f3b] Disable java on hppa. (Closes: #876148)

 -- Michael Jeanson <mjeanson@ubuntu.com>  Mon, 16 Oct 2017 14:13:09 -0400

ust (2.10.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [f34755c] Move to DEP-14 branch naming
  * [01efc7c] Rename source package to lttng-ust
  * [a4bb887] Don't ship static lib, it's broken and useless
  * [bfa2833] Install headers in multiarch path (Closes: #687460)
  * [668fa1d] New upstream version 2.10.0
  * [13a4c58] Bump soname of liblttng-ust-ctl from 2 to 4
  * [5f3f693] Update symbols for 2.10.0
  * [99fea0d] Updated debian copyright
  * [56d0c0e] Revert source package rename

  [ Jon Bernard ]
  * [cfa34cd] Include missing symbols from previous update

 -- Jon Bernard <jbernard@debian.org>  Thu, 14 Sep 2017 16:15:02 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,22 @@
 Source: ust
-Priority: extra
+Priority: optional
 Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@ubuntu.com>
-Build-Depends: debhelper (>= 9), dh-autoreconf, liburcu-dev (>= 0.8.4),
-  uuid-dev, texinfo, python3, dh-python, javahelper,
-  default-jdk | default-jdk-headless, liblog4j1.2-java
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 9),
+  default-jdk <!nojava> | default-jdk-headless <!nojava>,
+  dh-autoreconf,
+  dh-python,
+  dpkg-dev (>= 1.16.1),
+  javahelper <!nojava>,
+  liblog4j1.2-java <!nojava>,
+  liburcu-dev (>= 0.8.4),
+  python3,
+  texinfo,
+  uuid-dev
+Standards-Version: 4.1.1
 Section: libs
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ust.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/ust.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/lttng-ust.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/lttng-ust.git
 Homepage: https://lttng.org/
 X-Python3-Version: >= 3.0
 
@@ -17,7 +25,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  liblttng-ust-ctl2 (= ${binary:Version})
+  liblttng-ust-ctl4 (= ${binary:Version})
 Conflicts: liblttng-ust2
 Replaces: liblttng-ust2
 Description: LTTng 2.0 Userspace Tracer (tracing libraries)
@@ -29,7 +37,7 @@
  This package contains the actual userspace tracing library that must be linked
  to the instrumented programs.
 
-Package: liblttng-ust-ctl2
+Package: liblttng-ust-ctl4
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -50,7 +58,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
-  liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl2 (= ${binary:Version}),
+  liblttng-ust0 (= ${binary:Version}), liblttng-ust-ctl4 (= ${binary:Version}),
   liblttng-ust-python-agent0 (= ${binary:Version}), liburcu-dev (>= 0.8.4),
   uuid-dev
 Recommends: python3
@@ -70,6 +78,7 @@
 Section: java
 Architecture: all
 Multi-Arch: foreign
+Build-Profiles: <!nojava>
 Depends: liblttng-ust-java-jni (<< ${source:Version}.1~),
          liblttng-ust-java-jni (>= ${source:Version}),
          ${java:Depends}, ${misc:Depends}
@@ -86,6 +95,7 @@
 Section: java
 Architecture: linux-any
 Multi-Arch: same
+Build-Profiles: <!nojava>
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: liblttng-ust-java (= ${source:Version})
@@ -101,6 +111,7 @@
 Section: java
 Architecture: all
 Multi-Arch: foreign
+Build-Profiles: <!nojava>
 Depends: liblttng-ust-agent-java-jni (<< ${source:Version}.1~),
          liblttng-ust-agent-java-jni (>= ${source:Version}),
          ${java:Depends}, ${misc:Depends}
@@ -117,6 +128,7 @@
 Section: java
 Architecture: linux-any
 Multi-Arch: same
+Build-Profiles: <!nojava>
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: liblttng-ust-java (= ${source:Version})

## ust 2.10.1

=== debian/changelog ===
ust (2.10.1-1) unstable; urgency=medium

  * [cd47deb] New upstream version 2.10.1
  * [4d1422b] Drop patch merged upstream
  * [3dda0df] Switched my uploader email to @debian.org
  * [74fb6ad] Update symbols for 2.10.1

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 30 Nov 2017 12:06:35 -0500

ust (2.10.0-4) unstable; urgency=medium

  * [cae46a9] Fix python3-lttngust load un-versioned library (Closes: #882366)

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 21 Nov 2017 15:49:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ust
 Priority: optional
 Maintainer: Jon Bernard <jbernard@debian.org>
-Uploaders: Michael Jeanson <mjeanson@ubuntu.com>
+Uploaders: Michael Jeanson <mjeanson@debian.org>
 Build-Depends: debhelper (>= 9),
   default-jdk <!nojava> | default-jdk-headless <!nojava>,
   dh-autoreconf,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

EXTRA_CONF_OPTS =
EXTRA_DH_OPTS =

# Disable java packages on architecture that don't have
# an openjdk port.
nojava_archs = hppa
ifneq (,$(filter $(DEB_HOST_ARCH), $(nojava_archs)))
export DEB_BUILD_PROFILES += nojava
endif

ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
export JAVA_HOME = /usr/lib/jvm/default-java
export CLASSPATH = /usr/share/java/log4j-1.2.jar

EXTRA_DH_OPTS += --with javahelper

EXTRA_CONF_OPTS += --enable-jni-interface \
		   --enable-java-agent-all \
		   --with-java-prefix=$(JAVA_HOME)
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf,python3 $(EXTRA_DH_OPTS)

override_dh_auto_configure:
	PYTHON=python3 \
	dh_auto_configure -- \
		--includedir=/usr/include/$(DEB_HOST_MULTIARCH) \
		--enable-python-agent \
		$(EXTRA_CONF_OPTS)

ifeq ($(filter nojava,$(DEB_BUILD_PROFILES)),)
override_dh_makeshlibs:
	dh_makeshlibs -V -X/usr/lib/$(DEB_HOST_MULTIARCH)/jni

override_jh_manifest:
	jh_manifest -pliblttng-ust-agent-java
endif

## ust 2.10.2

=== debian/changelog ===
ust (2.10.2-1) unstable; urgency=medium

  * [6ee169b] Fix symbols for riscv64
  * [29a5184] New upstream version 2.10.2
  * [9cea2f8] Drop patch applied upstream
  * [b312339] Remove symbols erroneously exported by liblttng-ust-fd.so.0
  * [ed3731f] Drop x-python3-version
  * [0acbf69] Drop removed files from copyright
  * [8bd76e8] Bump standard to 4.2.0, no changes necessary

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 20 Aug 2018 16:58:24 -0400

ust (2.10.1-3) unstable; urgency=medium

  * [6798480] Update symbols for new riscv64 architecture
  * [f81465e] Drop patch forcing obsolete java bytecode version 1.6
  * [26128f4] Drop gcj compat patch
  * [ca241ec] Fix build failure with openjdk >= 10 (Closes: #897483)

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 04 May 2018 10:46:44 -0400

ust (2.10.1-2) unstable; urgency=medium

  * [4561e9b] Moved VCS to salsa.debian.org
  * [9132150] Add python3-distutils builddep (Closes: #896794)
  * [f47371c] Bump standard to 4.1.4, no changes necessary
  * [ef662e3] Use salsa canonical uri in VCS-Browser

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 24 Apr 2018 11:09:27 -0400

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
   liblog4j1.2-java <!nojava>,
   liburcu-dev (>= 0.8.4),
   python3,
+  python3-distutils,
   texinfo,
   uuid-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.2.0
 Section: libs
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/lttng-ust.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/lttng-ust.git
+Vcs-Git: https://salsa.debian.org/debian/ust.git
+Vcs-Browser: https://salsa.debian.org/debian/ust
 Homepage: https://lttng.org/
-X-Python3-Version: >= 3.0
 
 Package: liblttng-ust0
 Architecture: linux-any

## ust 2.10.3

=== doc/examples/java-jul/Makefile ===
--- 
+++ 
@@ -16,19 +16,22 @@
 # This makefile is purposefully kept simple to support GNU and BSD make.
 #
 
-# Default JUL jar name.
-JARFILE=liblttng-ust-agent.jar
+# Required JAR files for JUL
+JARFILE_JUL=lttng-ust-agent-jul.jar
+JARFILE_COMMON=lttng-ust-agent-common.jar
 
-# Check if the top level makefile overrides the JUL Jar file name.
-ifneq "$(JAVA_JARFILE_OVERRIDE)" ""
-	JARFILE=$(JAVA_JARFILE_OVERRIDE)
+# Check if the top level makefile overrides the JUL Jar file's path.
+ifeq "$(JAVA_CLASSPATH_OVERRIDE_JUL)" ""
+	CLASSPATH=/usr/local/share/java/$(JARFILE_JUL):/usr/share/java/$(JARFILE_JUL)
+else
+	CLASSPATH=$(JAVA_CLASSPATH_OVERRIDE_JUL)/$(JARFILE_JUL)
 endif
 
-# Check if the top level makefile overrides the JUL classpath.
-ifeq "$(JAVA_CLASSPATH_OVERRIDE)" ""
-	CLASSPATH=/usr/local/share/java/$(JARFILE):/usr/share/java/$(JARFILE)
+# Check if the top level makefile overrides the Common Jar file's path.
+ifeq "$(JAVA_CLASSPATH_OVERRIDE_COMMON)" ""
+	CLASSPATH:=$(CLASSPATH):/usr/local/share/java/$(JARFILE_COMMON):/usr/share/java/$(JARFILE_COMMON)
 else
-	CLASSPATH=$(JAVA_CLASSPATH_OVERRIDE)/$(JARFILE)
+	CLASSPATH:=$(CLASSPATH):$(JAVA_CLASSPATH_OVERRIDE_COMMON)/$(JARFILE_COMMON)
 endif
 
 JFLAGS = -g
@@ -37,7 +40,7 @@
 .java.class:
 	$(JC) $(JFLAGS) $*.java
 
-CLASSES = Hello.java
+CLASSES = Hello.java FilterChangeListenerExample.java ApplicationContextExample.java
 
 all: classes

=== debian/changelog ===
ust (2.10.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * [33735c4] d/copyright: Change Format URL to correct one

  [ Michael Jeanson ]
  * [1e46cac] Add Salsa CI configuration
  * [259748c] Remove partial changelog entry
  * [b5cc43a] New upstream version 2.10.3
  * [69b1488] Bump debhelper from old 9 to 10.
  * [01e08c4] Re-export upstream signing key without extra signatures.
  * [f655798] Drop unnecessary dependency on dh-autoconf.
  * [9050194] Add Build-Depends-Package to symbols file
  * [62988f4] Bump standards version to 4.3.0
  * [550936c] Add upstream metadata file

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 07 Feb 2019 15:49:06 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Priority: optional
 Maintainer: Jon Bernard <jbernard@debian.org>
 Uploaders: Michael Jeanson <mjeanson@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
   default-jdk <!nojava> | default-jdk-headless <!nojava>,
-  dh-autoreconf,
   dh-python,
   dpkg-dev (>= 1.16.1),
   javahelper <!nojava>,
@@ -14,7 +13,7 @@
   python3-distutils,
   texinfo,
   uuid-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Section: libs
 Vcs-Git: https://salsa.debian.org/debian/ust.git
 Vcs-Browser: https://salsa.debian.org/debian/ust

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf,python3 $(EXTRA_DH_OPTS)
+	dh $@ --with=python3 $(EXTRA_DH_OPTS)
 
 override_dh_auto_configure:
 	PYTHON=python3 \

## ust 2.10.4

=== debian/changelog ===
ust (2.10.4-1) unstable; urgency=medium

  * [69cfc51] Update Salsa CI pipeline config
  * [11113ed] New upstream version 2.10.4

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 30 May 2019 16:29:06 -0400

## ust 2.10.5

=== debian/changelog ===
ust (2.10.5-1) unstable; urgency=medium

  * [4c51c2c] Update salsa Ci configuration
  * [c3cb3c7] New upstream version 2.10.5

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 12 Sep 2019 11:08:06 -0400
